SchedulerProxy (scheduler-portlet 2.2.0-SNAPSHOT API)
Date: 2015-11-05

org.gcube.datatransfer.portlets.user.server

## Class SchedulerProxy

- java.lang.Object
- - org.gcube.datatransfer.portlets.user.server.SchedulerProxy

-     public class SchedulerProxy
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerProxy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.gcube.datatransfer.scheduler.library.outcome.CallingSchedulerResult` | `cancel(String transferId, boolean force)`
    `String` | `filterObjs(String result, String type)`
    `String` | `getAgentStatistics(String scope)`
    `String` | `getObjectsFromIS(String type, String resourceName, String scope)`
    `org.gcube.datatransfer.scheduler.library.outcome.CallingSchedulerResult` | `getOutcomes(String transferId)`
    `org.gcube.datatransfer.scheduler.library.outcome.CallingManagementResult` | `getTransfers(String resourceName, String scope)`
    `String[]` | `keepOnlyTheLastPart(String[] uris)`
    `org.gcube.datatransfer.scheduler.library.outcome.CallingSchedulerResult` | `monitor(String transferId)`
    `void` | `retrieveSchedulerLibrary(String scope, String ResourceName)`
    `String` | `schedule(org.gcube.datatransfer.scheduler.library.obj.SchedulerObj schedulerObj, String scope, String resourceName, String workspacePass, String sourceType, String destinationFolder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerProxy

          public SchedulerProxy()

  - ### Method Detail

    - #### retrieveSchedulerLibrary

          public void retrieveSchedulerLibrary(String scope,
                                      String ResourceName)
                                        throws Exception

      Throws:
        `Exception`

    - #### cancel

          public org.gcube.datatransfer.scheduler.library.outcome.CallingSchedulerResult cancel(String transferId,
                                                                                       boolean force)
                                                                                         throws Exception

      Throws:
        `Exception`

    - #### monitor

          public org.gcube.datatransfer.scheduler.library.outcome.CallingSchedulerResult monitor(String transferId)
                                                                                          throws Exception

      Throws:
        `Exception`

    - #### getOutcomes

          public org.gcube.datatransfer.scheduler.library.outcome.CallingSchedulerResult getOutcomes(String transferId)
                                                                                              throws Exception

      Throws:
        `Exception`

    - #### schedule

          public String schedule(org.gcube.datatransfer.scheduler.library.obj.SchedulerObj schedulerObj,
                        String scope,
                        String resourceName,
                        String workspacePass,
                        String sourceType,
                        String destinationFolder)
                          throws Exception

      Throws:
        `Exception`

    - #### getTransfers

          public org.gcube.datatransfer.scheduler.library.outcome.CallingManagementResult getTransfers(String resourceName,
                                                                                              String scope)
                                                                                                throws Exception

      Throws:
        `Exception`

    - #### getObjectsFromIS

          public String getObjectsFromIS(String type,
                                String resourceName,
                                String scope)
                                  throws Exception

      Throws:
        `Exception`

    - #### filterObjs

          public String filterObjs(String result,
                          String type)

    - #### getAgentStatistics

          public String getAgentStatistics(String scope)
                                    throws Exception

      Throws:
        `Exception`

    - #### keepOnlyTheLastPart

          public String[] keepOnlyTheLastPart(String[] uris)
                                       throws Exception

      Throws:
        `Exception`

Copyright © 2015. All Rights Reserved.